#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <Windows.h>
#else
#include <time.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

#include <teamspeak/public_errors.h>

#include "common.h"

bool check_error_ok(unsigned int error, const char *file, unsigned int line, bool do_exit)
{
    if (error != ERROR_ok)
    {
        printf("Error (%d) occurred on line %d in %s\n", error, line, file);
        if (do_exit)
            exit(1);

        return false;
    }
    return true;
}

/*A function so suspend the current thread for a specified amount of milliseconds*/
void sleep_ms(int milliseconds)
{
#ifdef _WIN32
    Sleep(milliseconds);
#else
    struct timespec ts;
    ts.tv_sec = milliseconds / 1000;
    ts.tv_nsec = (milliseconds % 1000) * 1000000;
    nanosleep(&ts, NULL);
#endif
}